## groovy.util
Interface ObjectGraphBuilder.IdentifierResolver

All Known Implementing Classes:
  ObjectGraphBuilder.DefaultIdentifierResolver

Enclosing class:
  ObjectGraphBuilder

    public static interface ObjectGraphBuilder.IdentifierResolver

Strategy for picking the correct synthetic identifier.

Method Summary
`String` `getIdentifierFor(String nodeName)` Returns the name of the property that will identify the node.

Method Detail

### getIdentifierFor

    String getIdentifierFor(String nodeName)

  Returns the name of the property that will identify the node.

  Parameters:
    `nodeName` - the name of the node

Copyright © 2003-2008 The Codehaus. All rights reserved.